Subject: Device naming for wireless NICs...

From: James Ketrenos <[email-masked]>
Date: Thu, 11 Mar 2004 10:28:23 -0600

If this topic been hashed a lot already, please let me know the keywords I might 
search for in the archives to find the threads.

I've had a few requests by users of the IPW2100 wireless driver to switch the 
default interface name to be wlanX vs. ethX.  In my prior searches through the 
wireless drivers in the 2.6.3 kernel tree, I couldn't find any that changed from 
the default.

I don't mind adding a module parameter to change the default name (if that is 
the standard practice), but thought I'd see what others thing rather than just 
going off and doing something random.

Is there a technical or ease of use reason switching away from ethX?  My 
thinking in keeping it eth was that it then represents a greater chance of "just 
working" with most networking scripts and utilities that may assume ethX is the 
interface name.

Thanks,
James